Skip to content
GAMPEONCreate
New project

Set a new password

POST
/v1/password/reset
curl --request POST \
--url https://api.gampeon.com/v1/password/reset \
--header 'Content-Type: application/json' \
--data '{ "token": "example", "password": "example" }'

Sets a new password with the token from the reset email. Ends all sessions of the account.

Rate limit: 30 per hour per IP.

Media typeapplication/json
object
token
required

Token from the link in the email (the part after the last /)

string
>= 20 characters <= 100 characters
password
required

Password, 10 to 200 characters

string
>= 10 characters <= 200 characters

Example generated

{
"token": "example",
"password": "example"
}

Password changed

Media typeapplication/json
object
reset
required

Example

{
"reset": true
}

Error codes: invalid_field, invalid_token

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Limit: 30 per hour per IP. Error codes: rate_limited

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Report a problem with this pageOther ways to give feedback